Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.wsdl
Interface SchemaType

All Known Implementing Classes:
  ArrayType, Base64Type, BeanType, BigDecimalType, BooleanType, CalendarType, CollectionType, DateTimeType, DateType, DocumentType, DoubleType, EnumType, FloatType, IntType, JaxbType, LongType, MapType, MyStringType, ShortType, StringType, TimestampType, TimeType, Type, XmlBeansType, XOPType

    public interface SchemaType

An XSD type.

Author:
  Dan Diephouse

Method Summary
`java.util.Set` | `getDependencies()` The `SchemaType`s that this type references.
`javax.xml.namespace.QName` | `getSchemaType()` The schema type that this SchemaType represents.
`boolean` | `isAbstract()` Whether or not this a complexType or a concrete element.
`boolean` | `isComplex()` Whether or not this a complex type.
`void` | `writeSchema(org.codehaus.yom.Element element)` Write the type schema (if complex) to the element.

Method Detail

### isComplex

    boolean isComplex()

  Whether or not this a complex type. If true then the schema for this type is written out.

  Returns:

### isAbstract

    boolean isAbstract()

  Whether or not this a complexType or a concrete element.

  Returns:

### getDependencies

    java.util.Set getDependencies()

  The `SchemaType`s that this type references.

  Returns:

### writeSchema

    void writeSchema(org.codehaus.yom.Element element)

  Write the type schema (if complex) to the element.

  Parameters:
    `element` -

### getSchemaType

    javax.xml.namespace.QName getSchemaType()

  The schema type that this SchemaType represents.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.